DefaultHTTPSTransportClientProperties (Axis API)
Keywords: org.apache.axis.components.net.DefaultHTTPSTransportClientProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class DefaultHTTPSTransportClientProperties

    java.lang.Object
      org.apache.axis.components.net.DefaultHTTPTransportClientProperties
          org.apache.axis.components.net.DefaultHTTPSTransportClientProperties

All Implemented Interfaces:
  TransportClientProperties

public class DefaultHTTPSTransportClientProperties
extends DefaultHTTPTransportClientProperties

Author:
  Richard A. Sitze

Field Summary

Fields inherited from class org.apache.axis.components.net.DefaultHTTPTransportClientProperties
`nonProxyHosts, proxyHost, proxyPassword, proxyPort, proxyUser`

Constructor Summary
`DefaultHTTPSTransportClientProperties()`

Method Summary
`java.lang.String` | `getNonProxyHosts()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyHost()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyPassword()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyPort()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyUser()` Returns a valid String, may be empty ("").

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHTTPSTransportClientProperties

    public DefaultHTTPSTransportClientProperties()

Method Detail

### getProxyHost

    public java.lang.String getProxyHost()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyHost` in interface `TransportClientProperties`
  Overrides:
    `getProxyHost` in class `DefaultHTTPTransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyHost()`

### getNonProxyHosts

    public java.lang.String getNonProxyHosts()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getNonProxyHosts` in interface `TransportClientProperties`
  Overrides:
    `getNonProxyHosts` in class `DefaultHTTPTransportClientProperties`
  See Also:
    `TransportClientProperties.getNonProxyHosts()`

### getProxyPort

    public java.lang.String getProxyPort()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPort` in interface `TransportClientProperties`
  Overrides:
    `getProxyPort` in class `DefaultHTTPTransportClientProperties`
  See Also:
    `org.apache.axis.components.net.TransportClientProperties#getPort()`

### getProxyUser

    public java.lang.String getProxyUser()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyUser` in interface `TransportClientProperties`
  Overrides:
    `getProxyUser` in class `DefaultHTTPTransportClientProperties`
  See Also:
    `org.apache.axis.components.net.TransportClientProperties#getUser()`

### getProxyPassword

    public java.lang.String getProxyPassword()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPassword` in interface `TransportClientProperties`
  Overrides:
    `getProxyPassword` in class `DefaultHTTPTransportClientProperties`
  See Also:
    `org.apache.axis.components.net.TransportClientProperties#getPassword()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.